## org.eclipse.datatools.modelbase.sql.xml.query.util
Class SQLXMLQueryModelPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelPlugin
              org.eclipse.datatools.modelbase.sql.xml.query.util.SQLXMLQueryModelPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class SQLXMLQueryModelPlugin

extends SQLQueryModelPlugin

This is the main plugin class for the SQL/XML Query Model.

Author:
  bpayton

Field Summary

Fields inherited from class org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelPlugin
`EXTENSION_CONFIG_PLUGINJAVA_ATTRIBUTE_CLASS, EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_IMPL_PACKAGE_NAME, EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_PACKAGE_NAME, EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_SOURCEWRITER_CLASS, EXTENSION_CONFIGURATION_PLUGINJAVA, EXTENSION_CONFIGURATION_SOURCEWRITER, EXTENSION_POINT_ID, PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`SQLXMLQueryModelPlugin()` Constructs an instance of this class.

Method Summary

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelPlugin
`getDefault, start`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLXMLQueryModelPlugin

    public SQLXMLQueryModelPlugin()

  Constructs an instance of this class. This is the default constructor. The super constructor is invoked to perform plugin start-up registrations. (These are needed for the SQL Source Writer to work properly.)